FWTextInternal::ParaModifier Struct Reference

Internal: class to store a para modifier with appear in docInfo. More...

## Public Member Functions

| ParaModifier ()
| constructor More...

## Public Attributes

float | m_beforeSpacing
| the before spacing ( negative in point, positive in percent ) More...
float | m_afterSpacing
| the after spacing ( negative in point, positive in percent ) More...
std::string | m_extra
| some extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, ParaModifier const &p)
| operator<< More...

## Detailed Description

Internal: class to store a para modifier with appear in docInfo.

## Constructor & Destructor Documentation

FWTextInternal::ParaModifier::ParaModifier | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | ParaModifier const & | p
| ) |  |

friend

operator<<

## Member Data Documentation

float FWTextInternal::ParaModifier::m_afterSpacing

the after spacing ( negative in point, positive in percent )

Referenced by FWText::readParaModDocInfo(), and FWText::send().

float FWTextInternal::ParaModifier::m_beforeSpacing

the before spacing ( negative in point, positive in percent )

Referenced by FWText::readParaModDocInfo(), and FWText::send().

std::string FWTextInternal::ParaModifier::m_extra

some extra data

Referenced by FWText::readParaModDocInfo().

The documentation for this struct was generated from the following file:

- FWText.cxx